
Redmine - Patch #31324

Allow to set is_private flag through a keyword in emails

2019-05-08 10:51 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.1.0   

Description

Currently it is impossible to set the is_private flag of an issue with an email keyword. The attached patch developed for Planio

changes that.

The code will recognize yes/no values according to the users' and the default locale, as well as 0/1.

Related issues:

Related to Redmine - Feature #8424: Add private issue option to receiving emails Closed 2011-05-23

Associated revisions

Revision 18150 - 2019-05-10 00:30 - Go MAEDA

Allows setting the private flag via mail keyword (#31324).

Patch by Jens Krämer.

History

#1 - 2019-05-08 11:12 - Go MAEDA

- Status changed from New to Needs feedback

- Assignee set to Jens Krämer

Thank you for posting the patch. But the test fails.

Failure:

MailHandlerTest#test_add_issue_with_private_keyword [test/unit/mail_handler_test.rb:507]:

Expected false to be truthy.

bin/rails test test/unit/mail_handler_test.rb:499

 I found the following line in log/test.log.

MailHandler: missing information from John Smith: Unable to determine target project

#2 - 2019-05-08 14:25 - Jens Krämer

My bad I admit I just ran the test against 3.4 (where it passed). I'll fix that tomorrow.

#3 - 2019-05-09 06:18 - Jens Krämer

- File 0001-allows-setting-the-private-flag-via-mail-keyword.patch added

here's the fixed patch - the test email was still tailored to Planio's customized mail handler which is why it failed on vanilla Redmine.

#4 - 2019-05-09 06:50 - Go MAEDA

- Status changed from Needs feedback to New

- Assignee deleted (Jens Krämer)

- Target version set to Candidate for next major release

The patch passed the test. Thanks!

#5 - 2019-05-10 00:31 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Committed the patch. Thank you for your contribution.

#6 - 2019-05-14 04:40 - Go MAEDA

- Related to Feature #8424: Add private issue option to receiving emails added

Files

0001-allows-setting-the-private-flag-via-mail-keyword.patch 6.01 KB 2019-05-08 Jens Krämer

0001-allows-setting-the-private-flag-via-mail-keyword.patch 6.01 KB 2019-05-09 Jens Krämer
